[![Exampled Video](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/devyn_myers)

# H3VR-Animation-Studio
Create smooth animations in H3VR! This plugin allows you to animate any physical object along a path.
  
## Installation
1. Install the latest x64 version of [BepInEx](https://github.com/BepInEx/BepInEx/releases)
2. Install [Sodalite](https://github.com/H3VR-Modding/Sodalite)
3. Unzip this mod into your BepInEx/plugins folder

&nbsp;

# Examples of What's Possible

[![Exampled Video](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/images/YoutubeThumb1.PNG)](https://youtu.be/HJbYWAEC2rE)

[![Exampled Video](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/images/YoutubeThumb2.PNG)](https://www.youtube.com/watch?v=Gelol6OYWAs)

&nbsp;

# Quickstart

### Creating Paths
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut1.gif)

&nbsp;

### Editing Paths
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut2.gif)

&nbsp;

### Scrubbing Animations
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut3.gif)

&nbsp;

### Rotation Controls
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut4.gif)

&nbsp;

### Childing Paths 
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut5.gif)

&nbsp;

### Animating a Held Object
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut6.gif)

&nbsp;

### Using Multiple Paths
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut7.gif)

&nbsp;

### Making Continuous Paths
![Alt Text](https://raw.githubusercontent.com/devyndamonster/H3VR-Animation-Studio/master/Docs/gifs/H3AnimTut8.gif)


